#include "TerminalWidget.h"
#include <os/ArgumentParser.h>
#include <ui/App.h>
#include <unistd.h>

Result<int> luna_main(int, char**)
{
    ui::App app;
    TRY(app.init());

    auto* window = TRY(ui::Window::create(ui::Rect { 150, 150, 640, 400 }));
    app.set_main_window(window);
    window->set_title("Terminal");

    TerminalWidget terminal;
    window->set_main_widget(terminal);

    char* args[] = { "/bin/sh", nullptr };
    TRY(terminal.init(args));

    window->draw();

    return app.run();
}
